summaryrefslogtreecommitdiffstats
path: root/graphics/gimpfx-foundry
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/gimpfx-foundry')
-rw-r--r--graphics/gimpfx-foundry/README8
-rw-r--r--graphics/gimpfx-foundry/gimpfx-foundry.SlackBuild63
-rw-r--r--graphics/gimpfx-foundry/gimpfx-foundry.info8
-rw-r--r--graphics/gimpfx-foundry/slack-desc20
4 files changed, 99 insertions, 0 deletions
diff --git a/graphics/gimpfx-foundry/README b/graphics/gimpfx-foundry/README
new file mode 100644
index 0000000000..f7ef8ea7c1
--- /dev/null
+++ b/graphics/gimpfx-foundry/README
@@ -0,0 +1,8 @@
+gimpfx-foundry is a repository for porting and creating GPL licensed
+scripts for the latest GIMP. At the moment that is 2.6. In the future
+this effort can be directed towards newer versions easily while still
+providing a source for older versions of scripts.
+
+After installing the scripts, open GIMP 2.6, click on Filter > Script-Fu
+> Refresh Scripts. A new FX-Foundry menu will appear alongside the
+default menus.
diff --git a/graphics/gimpfx-foundry/gimpfx-foundry.SlackBuild b/graphics/gimpfx-foundry/gimpfx-foundry.SlackBuild
new file mode 100644
index 0000000000..061a3480a4
--- /dev/null
+++ b/graphics/gimpfx-foundry/gimpfx-foundry.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# SlackBuild script for the gimpfx-foundry scripts.
+#
+# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gimpfx-foundry
+VERSION=2.6.1
+SRCVER=2.6-1
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/share/gimp/2.0/scripts/ $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz -C $PKG/usr/share/gimp/2.0/scripts/
+cd $PKG
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# amend the permissions on the scripts
+chmod 644 $PKG/usr/share/gimp/2.0/scripts/*.scm
+
+# add what docs there are
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/gimp/2.0/scripts/release-notes.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/gimpfx-foundry/gimpfx-foundry.info b/graphics/gimpfx-foundry/gimpfx-foundry.info
new file mode 100644
index 0000000000..736fe6c9ef
--- /dev/null
+++ b/graphics/gimpfx-foundry/gimpfx-foundry.info
@@ -0,0 +1,8 @@
+PRGNAM="gimpfx-foundry"
+VERSION="2.6.1"
+HOMEPAGE="http://gimpfx-foundry.sourceforge.net/"
+DOWNLOAD="http://kent.dl.sourceforge.net/sourceforge/gimpfx-foundry/gimpfx-foundry-2.6-1.tar.gz"
+MD5SUM="72c01fe6ac0dd4ce3151d306113c01a7"
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave <at> gmail {dot} com"
+APPROVED="dsomero"
diff --git a/graphics/gimpfx-foundry/slack-desc b/graphics/gimpfx-foundry/slack-desc
new file mode 100644
index 0000000000..c31698909c
--- /dev/null
+++ b/graphics/gimpfx-foundry/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gimpfx-foundry: gimpfx-foundry (GIMP 2.6 effect scripts)
+gimpfx-foundry:
+gimpfx-foundry: A repository for porting and creating GPL licensed scripts for the
+gimpfx-foundry: latest GIMP. At the moment that is 2.6. In the future this effort
+gimpfx-foundry: can be directed towards newer versions easily while still providing
+gimpfx-foundry: a source for older versions of scripts.
+gimpfx-foundry:
+gimpfx-foundry: http://gimpfx-foundry.sourceforge.net/
+gimpfx-foundry:
+gimpfx-foundry:
+gimpfx-foundry:
+